# SilvaOAI
# Silva objects for OAI

from Products.FileSystemSite.DirectoryView import registerDirectory
from Products.Silva.ExtensionRegistry import extensionRegistry
from Products.SilvaMetadata.Compatibility import registerTypeForMetadata
import silvaoai, oaisource, install, upgrade_12

def initialize(context):
    extensionRegistry.register(
        'SilvaOAI', 'Silva OAI', context, [], install, depends_on='SilvaExternalSources')
    
    context.registerClass(

        silvaoai.Query,
        constructors = (
            silvaoai.manage_addQueryForm, 
            silvaoai.manage_addQuery)
            ,
        icon = "www/silvaoai_query.png"
        )

    context.registerClass(
        oaisource.QuerySourceAsset,
        constructors = (oaisource.manage_addQueryForm, 
                        oaisource.manage_addQuerySourceAsset),
        icon = "www/silvaoai_query.png"
        )
            
    context.registerClass(
        cherrypicking.Cherry,
        constructors = (cherrypicking.manage_addQuerySourceForm,
                        cherrypicking.manage_addCherryFromZMI),
        icon = "www/silvaoai_query.png"
        )
        
    registerDirectory('views', globals())
    registerDirectory('images', globals())    
    
    registerTypeForMetadata(silvaoai.Query.meta_type)
    registerTypeForMetadata(oaisource.QuerySourceAsset.meta_type)

    extensionRegistry.addAddable(silvaoai.Query.meta_type, 3)
    extensionRegistry.addAddable(oaisource.QuerySourceAsset.meta_type, 3)
